# Uses of Interface
javafx.event.EventDispatcher

Packages that use EventDispatcher
Package
Description
javafx.event
Provides basic framework for FX events, their delivery and handling.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of EventDispatcher in javafx.event

Methods in javafx.event with parameters of type EventDispatcher
Modifier and Type
Method
Description
`EventDispatchChain`
EventDispatchChain.`append(EventDispatcher eventDispatcher)`
Appends the specified `EventDispatcher` to this chain.
`EventDispatchChain`
EventDispatchChain.`prepend(EventDispatcher eventDispatcher)`
Prepends the specified `EventDispatcher` to this chain.

## Uses of EventDispatcher in javafx.scene

Methods in javafx.scene that return EventDispatcher
Modifier and Type
Method
Description
`final EventDispatcher`
Node.`getEventDispatcher()`
Gets the value of the `eventDispatcher` property.
`final EventDispatcher`
Scene.`getEventDispatcher()`
Gets the value of the `eventDispatcher` property.
Methods in javafx.scene that return types with arguments of type EventDispatcher
Modifier and Type
Method
Description
`final ObjectProperty<EventDispatcher>`
Node.`eventDispatcherProperty()`
Specifies the event dispatcher for this node.
`final ObjectProperty<EventDispatcher>`
Scene.`eventDispatcherProperty()`
Specifies the event dispatcher for this scene.
Methods in javafx.scene with parameters of type EventDispatcher
Modifier and Type
Method
Description
`final void`
Node.`setEventDispatcher(EventDispatcher value)`
Sets the value of the `eventDispatcher` property.
`final void`
Scene.`setEventDispatcher(EventDispatcher value)`
Sets the value of the `eventDispatcher` property.

## Uses of EventDispatcher in javafx.stage

Methods in javafx.stage that return EventDispatcher
Modifier and Type
Method
Description
`final EventDispatcher`
Window.`getEventDispatcher()`
Gets the value of the `eventDispatcher` property.
Methods in javafx.stage that return types with arguments of type EventDispatcher
Modifier and Type
Method
Description
`final ObjectProperty<EventDispatcher>`
Window.`eventDispatcherProperty()`
Specifies the event dispatcher for this node.
Methods in javafx.stage with parameters of type EventDispatcher
Modifier and Type
Method
Description
`final void`
Window.`setEventDispatcher(EventDispatcher value)`
Sets the value of the `eventDispatcher` property.